package cn.reghao.bnt.web.devops.app.service;

import cn.reghao.bnt.web.devops.app.model.dto.AppConfigDto;
import cn.reghao.bnt.web.devops.app.model.dto.AppConfigUpdateDto;
import cn.reghao.bnt.web.devops.app.model.dto.CopyAppDto;
import cn.reghao.bnt.web.devops.app.model.po.AppBuilding;
import cn.reghao.bnt.web.devops.builder.chain.impl.BuildChainResult;
import cn.reghao.jutil.jdk.web.result.Result;

/**
 * @author reghao
 * @date 2021-10-22 14:48:26
 */
public interface AppBuildService {
    Result createAppBuild(AppConfigDto appConfigDto);
    Result createByCopy(CopyAppDto copyAppDto);
    Result updateAppConfig(AppConfigUpdateDto appConfigUpdateDto);
    Result deleteAppBuild(String appId);
    void deleteBuildLog(String buildLogId);

    void updateBeforeBuild(String appId, String buildBy);
    AppBuilding updateAfterBuild(BuildChainResult buildChainResult);
    void resetBuildStat();
    Result clearLocalRepo(String appId);
}
